from src.visualization.StackedPicks.figure import save_figure

# ########################################################################### #
#                                 Constants                                   #
# ########################################################################### #


# ########################################################################### #
#                                  Parser                                     #
# ########################################################################### #


def add_visualization_arguments(parser):
	# Specify the prepared file path
	parser.add_argument("--in-csv",
						help="Path with the ready to use csv",
						required=True)
	parser.add_argument("--out-png",
						default = "reports/figures/my_figure.png",
						help="Path with the ready to use csv",
						)
	# Specify filter criteria
	parser.add_argument("--figure",
						help="Which figure to construct",
						default='Stacked-Picks',
						choices=["Stacked-Picks"]
						)


# ########################################################################### #
#                                   Main                                      #
# ########################################################################### #


def visualization_main(args):
	if args.figure == "Stacked-Picks":
		save_figure(args.in_csv, args.out_png)
	else:
		return
